﻿using System.Windows.Controls;
using Telerik.Windows.DragDrop;
using Telerik.Windows.DragDrop.Behaviors;
using System.Collections;

namespace SL_ListBox
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			DragDropManager.AddPreviewDropHandler(this.txt, new Telerik.Windows.DragDrop.DragEventHandler(OnPreviewDrop));
		}

		private void OnPreviewDrop(object sender, Telerik.Windows.DragDrop.DragEventArgs args)
		{
			var textbox = sender as TextBox;
			var country = (((IDragPayload)(args.Data)).GetData("SL_ListBox.Country", false) as IList)[0] as Country;
			if (country != null)
			{
				var allText = textbox.Text;
				var text = allText.Substring(textbox.SelectionStart);
				textbox.Text = text + country.CountryName;
			}
		}
	}
}
